package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag996;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT996Creator;

public class Tag21Creator extends AbsTagCreate {
    private MT996Creator mt996Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt996Creator= (MT996Creator) absMTCreator;
    }

    public void creator()
    {
        String tag21Value = mt996Creator.getRelatedReference();
        mt996Creator.set("21", tag21Value);
    }
}
